<?php

namespace App\Modules\HtlCampLock\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface HtlCampLockRepository
{
    public function find(StorageCriteria $action): HtlCampLock | null;
    public function search(StorageCriteria $action): array;
    public function insert(HtlCampLock $model);
    public function update(HtlCampLock $model);
}
